Lucene94Codec.Mode (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene94, class: Lucene94Codec, enum: Mode

Package org.apache.lucene.backward_codecs.lucene94

# Enum Class Lucene94Codec.Mode

java.lang.Object
java.lang.Enum<Lucene94Codec.Mode>
org.apache.lucene.backward_codecs.lucene94.Lucene94Codec.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<Lucene94Codec.Mode>`, `Constable`

Enclosing class:
  `Lucene94Codec`

public static enum Lucene94Codec.Mode extends Enum<Lucene94Codec.Mode>
Configuration option for the codec.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEST_COMPRESSION`
  Trade retrieval speed for compression ratio.
  `BEST_SPEED`
  Trade compression ratio for retrieval speed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Lucene94Codec.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene94Codec.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEST_SPEED

    public static final Lucene94Codec.Mode BEST_SPEED
    Trade compression ratio for retrieval speed.

  - ### BEST_COMPRESSION

    public static final Lucene94Codec.Mode BEST_COMPRESSION
    Trade retrieval speed for compression ratio.

- ## Method Details

  - ### values

    public static Lucene94Codec.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Lucene94Codec.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null